<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_user_infos', function (Blueprint $table) {
            $table->string('address',255)->comment("收货地址")->nullable();
            $table->boolean('vegan')->comment("是否素食，0：否,1:是")->nullable();
            $table->boolean('egg')->comment("是否吃鸡蛋，0：否，1:是")->nullable();
            $table->boolean('eco')->comment('0:低净值，1：高净值')->nullable();
            $table->string('woman')->nullable();
            $table->text('anomaly')->nullable()->comment("异常指标");
            $table->text('nutrient')->nullable()->comment("营养素");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_infos');
    }
};
